function success=savewp(file,A,B,C,na,nb,d,nc,midf)
%function to save a model
global PRECISION;

fptr=fopen(file,'wt');

if fptr == -1
	disp('could not open for write!');
	success=0;
else % continue
   
	%remove zeros in front of polynoms (they are for nothing)
	A2=A;
   B2=B;
   d=0;
	while(abs(A2(1))<PRECISION) A2=A2(2:length(A2));end;
	while(abs(B2(1))<PRECISION) B2=B2(2:length(B2));end;
	%transformation from TF(z) to TF(z^-1)
	na=length(A2)-1;
	nb=length(B2)-1;
	if(na>nb)
	   %remove zeros at the end of polynom
      while(abs(A2(length(A2)))<PRECISION) A2=A2(1:(length(A2)-1));end;
		while(abs(B2(length(B2)))<PRECISION) B2=B2(1:(length(B2)-1));end;
	   zr=na-nb;%delay of B, if =1, d=0,because for B allways b0=0;
      d=zr-1;%delay
      na=length(A2)-1;
      nb=length(B2);
	elseif(na<nb)
      %remove zeros at the end of polynom
      while(abs(A2(length(A2)))<PRECISION) A2=A2(1:(length(A2)-1));end;      
		while(abs(B2(length(B2)))<PRECISION) B2=B2(1:(length(B2)-1));end;
	   zr=zeros(1,nb-na);
      A2=[zr A2];
      na=length(A2)-1;
      nb=length(B2);
   end;
   A=A2;
   B=B2;
   
%write nA   
%na=length(A)-1;
fprintf(fptr,'%d',na);
fprintf(fptr,'                              ');
fprintf(fptr,'Degr de A :  $$MODELE\n');

%comp d
%d=1;
%while (B(d)==0) d=d+1;end;
%d=d-2;

% write nB
%nb=length(B)-1-d;
fprintf(fptr,'%d',nb);
fprintf(fptr,'                              ');
fprintf(fptr,'Degr de B :\n');

% write nC
nc=0;%length(C)-1;
fprintf(fptr,'%d',nc);
fprintf(fptr,'                              ');
fprintf(fptr,'Degr de C :\n');
   
%write struct and meth
fprintf(fptr,'1                              STRUCTURE : \n');
fprintf(fptr,'1                              METHODE   : \n');

%write delay
fprintf(fptr,'%d',d);
fprintf(fptr,'                              ');
fprintf(fptr,'Retard:\n');

%write A
fprintf(fptr,'%e',A(2));
fprintf(fptr,'                                <---- Polyn.A --\n');
for I=3:length(A) fprintf(fptr,'%e\n',A(I));end;

% write B
fprintf(fptr,'%e',B(1));
fprintf(fptr,'                                <---- Polyn.B --\n');
for i=2:length(B)
   fprintf(fptr,'%e\n',B(i));
end;

global Ts;
fprintf(fptr,'***\n');
fprintf(fptr,'256\n');
fprintf(fptr,'%g\n',Ts);


success=1;
end; % if fptr==-1

fclose(fptr);

