function t_change(par)

%handles to graphics objects
global h0 haxes_lu haxes_ld haxes_ru hpop_lu hpop_ru hpop_ld;%figure, axes and popup to axes
global hsli_dpf hdisp_dpf hsli_dpd hdisp_dpd;%sliders for dom. poles
global hpop_mod hdisp_rist hdisp_mos;
global hpop_tev;

global PD Ts;
global T A B Am Bm TMf TMd;
global cascad;
global Teval;

if(par==1)%change graph left down
   x=get(hpop_ld,'Value');
   t_dispgr(haxes_ld,x);
   
elseif(par==2)%change graph left up
   x=get(hpop_lu,'Value');
   t_dispgr(haxes_lu,x);
   
elseif(par==3)%change graph right up
   x=get(hpop_ru,'Value');
   t_dispgr(haxes_ru,x);
   
elseif((par==11)|(par==12))%slider of frequency
   fnat=get(hsli_dpf,'Value');
   set(hdisp_dpf,'String',sprintf('%g ',fnat));
   xi=get(hsli_dpd,'Value');
   set(hdisp_dpd,'String',sprintf('%g ',xi));
   TMf=fnat;
   TMd=xi;
   %transform from continues to discret time
	wnmin=fnat*2*pi;
	ximin=xi;
	w=wnmin*Ts*sqrt(1-ximin*ximin);
	alpha=exp(-ximin*wnmin*Ts);
	beta=cos(w);
	delta=sin(w);
	bm1=1-alpha*(beta+ximin*wnmin*Ts*delta/w);
	bm2=alpha*alpha + alpha*(ximin*wnmin*Ts*delta/w - beta);
	am1=-2*alpha*beta;
	am2=alpha*alpha;
   Am=[1 am1 am2];
   Bm=[0 bm1 bm2];
	%display graphs
	x=get(hpop_lu,'Value');
	t_dispgr(haxes_lu,x);
	x=get(hpop_ld,'Value');
	t_dispgr(haxes_ld,x);
	x=get(hpop_ru,'Value');
	t_dispgr(haxes_ru,x);
   t_dispgr(0,0);
   
elseif(par==51)%change cascade number   
   cascad=get(hpop_mod,'Value');   
	%display graphs
	x=get(hpop_lu,'Value');
	t_dispgr(haxes_lu,x);
	x=get(hpop_ld,'Value');
	t_dispgr(haxes_ld,x);
	x=get(hpop_ru,'Value');
   t_dispgr(haxes_ru,x);
   t_dispgr(0,0);
   
elseif(par==52),%change T
   Teval=get(hpop_tev,'Value');
	[rr,ss,Paux]=rs_complete;
	den=add(conv(A,ss),conv(B,rr));
	if Teval==1, %P/B(1)
		T=den/sum(B);
	   T=T*(sum(rr)/sum(T));
	elseif Teval==2, %PdPf(1)/B(1)
	   T=PD*sum(Paux)/sum(B);
	elseif Teval==3,
	   T=sum(PD)*sum(Paux)/sum(B);
   end;
	%display graphs
	x=get(hpop_lu,'Value');
	t_dispgr(haxes_lu,x);
	x=get(hpop_ld,'Value');
	t_dispgr(haxes_ld,x);
	x=get(hpop_ru,'Value');
   t_dispgr(haxes_ru,x);
   t_dispgr(0,0);
   
elseif(par==60)%hold graphs
	global hbut_hld;
   s=get(hbut_hld,'String');
   if(strcmp(s,'Hold graphs'))%hold current graphs
	   set(hbut_hld,'String','Release graphs');
      %save current set of parameters
      global T cascad;
      [rr,ss,Paux]=rs_complete;
      global savehld;
      savehld=struct('on',1,'R',rr,'S',ss,'Hs',1,'Hr',1,'AP',Paux,'Am',Am,'Bm',Bm,'cascad',cascad,'T',T);
	   %display graphs
	   x=get(hpop_lu,'Value');
	   t_dishld(haxes_lu,x);
	   x=get(hpop_ld,'Value');
	   t_dishld(haxes_ld,x);
	   x=get(hpop_ru,'Value');
	   t_dishld(haxes_ru,x);
	elseif(strcmp(s,'Release graphs'))%release it
      global savehld;
      savehld=struct('on',0);
	   set(hbut_hld,'String','Hold graphs');
      x=get(hpop_lu,'Value');
      set(haxes_lu,'UserData',[]);
	   t_dispgr(haxes_lu,x);
      x=get(hpop_ld,'Value');
      set(haxes_ld,'UserData',[]);
	   t_dispgr(haxes_ld,x);
      x=get(hpop_ru,'Value');
      set(haxes_ru,'UserData',[]);
	   t_dispgr(haxes_ru,x);
   end;
elseif(par==70)%default for tmax
   tmax=25/(2*pi*0.05/Ts);
   global hed_tmax;
   s=sprintf('%g',tmax);
   set(hed_tmax,'String',s);
   t_change(11);
end;
